FREEFOAM-MSHTOFOAM(1)

NAME
freefoam-mshToFoam - Converts .msh file generated by the Adventure system.

SYNOPSIS

freefoam mshToFoam <.msh file> [-help] [-srcDoc] [-hex] [-doc]

DESCRIPTION

TODO write detailed description

OPTIONS

<.msh file>
    TODO Detailed description of argument.

-hex
    Read hex cells.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

The .msh format does not contain any boundary information. It is purely a description of the internal mesh.

Can read both linear-tet format (i.e. 4 verts per tet) and linear-hex format (8 verts per hex) (if provided with the -hex option)

Will bomb out if not supplied with the correct option for the file format

Not extensively tested.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.